// SurveillanceView.h : interface of the CSurveillanceView class
//

// Αρχείο με όλες τις δηλώσεις μεταβλητών και ενεργειών  
// για το κεντρικό παράθυρο του προγράμματος

#pragma once
#include "mailsettingsdlg.h"
#include "sensivitydlg.h"
#include "cameraipdlg.h"
#include "afxwin.h"


class CSurveillanceView : public CFormView
{
protected: // create from serialization only
	CSurveillanceView();
	DECLARE_DYNCREATE(CSurveillanceView)

public:
	CString m_IP;	
	CString m_sMailServer;
	CString m_sMailUser;
	CString m_sMailPassword;
	CString m_sMailReciept;
	enum{ IDD = IDD_SURVEILLANCE_FORM };
	void MailIt();
	void MoveCamera(CString sWhere);
	void SetCameraOption(CString sWhat);
	void InitBitmaps();
	void Watch();
	void LoadPosBitmap();
	void GetBitmap(CString Name);
	void ShowImg2Wnd();

// Attributes
public:
	CSurveillanceDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CSurveillanceView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedHome();
	afx_msg void OnBnClickedUp();
	afx_msg void OnBnClickedRight();
	afx_msg void OnBnClickedDown();
	afx_msg void OnBnClickedLeft();
	afx_msg void OnBnClickedInitpictures();
	afx_msg void OnBnClickedStart();
private:
	CMailSettingsDlg m_dMailSettings;
	CSensivityDlg m_dSensivityDlg;
	CCameraIPDlg m_dCameraIPDlg;
	CBitmap m_Bit;
public:

	afx_msg void OnBnClickedMailserver();
	afx_msg void OnBnClickedSensivity();
	afx_msg void OnBnClickedCameraip();
	afx_msg void OnSettingsSensivity();
	afx_msg void OnSettingsCameraip();
	afx_msg void OnSettingsMailserver();
	afx_msg void OnMovesRight();
	afx_msg void OnMovesLeft();
	afx_msg void OnMovesUp();
	afx_msg void OnMovesDown();
	afx_msg void OnMovesHome();
	afx_msg void OnBnClickedStop();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	CButton m_cHome;
	CButton m_cRight;
	CButton m_cLeft;
	CButton m_cDown;
	CButton m_cUp;
	afx_msg void OnActionsInitpictures();
	afx_msg void OnActionsStart();
	afx_msg void OnActionsStop();
	CString m_smessage;
	afx_msg void OnBnClickedFollowme();
	CString m_sInformations;
	CString m_sMessage;
	void PrintMsg(CString Message);
};

#ifndef _DEBUG  // debug version in SurveillanceView.cpp
inline CSurveillanceDoc* CSurveillanceView::GetDocument() const
   { return reinterpret_cast<CSurveillanceDoc*>(m_pDocument); }
#endif

